%global logdir %{?_logdir}%{!?_logdir:%{_var}/log}

Name:       itop-itsm
Version:    2.0.3
Release:    1%{?dist}
Summary:    Simple, web based IT Service Management tool
# jQuery has MIT and now it's not available for Fedora
License:    AGPLv3+ and MIT
URL:        http://www.combodo.com/itop
Source0:    http://downloads.sourceforge.net/itop/iTop-%{version}-1916.zip
Patch0:     system-swiftmailer.patch

BuildArch:  noarch

Requires:   php >= 5.2.0 php-mcrypt php-xml php-cli php-soap
Requires:   php-ldap
Requires:   mysql-server php-mysql
Requires:   php-swift-Swift
Requires:   httpd
Requires:   graphviz

Requires(post): policycoreutils-python
Requires(postun): policycoreutils-python

%description
%{summary}.
Features:
* Fully configurable CMDB
* HelpDesk and Incident Management
* Service and Contract Management
* Change Management
* Configuration Management
* Automatic SLA management
* Automatic impact analysis
* CSV import tool for all data
* Consistency audit to check data quality
* Data synchronization (data federation)

%prep
%setup -q -c %{name}-%{version}
rm -rf ./lib/swiftmailer/
%patch0 -p1

%build
# Nothing to build

%install
export _ITOP_NAME_=%{name}
export _ITOP_SYSCONFDIR_=%{_sysconfdir}
export _ITOP_WEBCONFDIR_=%{_sysconfdir}/httpd/
export _ITOP_VARDIR_=%{_var}
export PREFIX=%{_prefix}
export HEAD=%{buildroot}
chmod 755 ./web/setup/install/install.sh
./web/setup/install/install.sh

%post
semanage fcontext -a -t httpd_sys_rw_content_t "%{_sysconfdir}/%{name}(/.*)?" 2>/dev/null || :
restorecon %{_sysconfdir}/%{name} || :
semanage fcontext -a -t httpd_sys_rw_content_t "%{logdir}/%{name}(/.*)?" 2>/dev/null || :
restorecon %{logdir}/%{name} || :
semanage fcontext -a -t httpd_sys_rw_content_t "%{_sharedstatedir}/%{name}(/.*)?" 2>/dev/null || :
restorecon %{logdir}/%{name} || :

%postun
if [ $1 -eq 0 ] ; then
  semanage fcontext -d -t httpd_sys_rw_content_t "%{_sysconfdir}/%{name}(/.*)" 2>/dev/null || :
  semanage fcontext -d -t httpd_sys_rw_content_t "%{logdir}/%{name}(/.*)?" 2>/dev/null || :
  semanage fcontext -d -t httpd_sys_rw_content_t "%{_sharedstatedir}/%{name}(/.*)?" 2>/dev/null || :
fi

%files
%doc LICENSE README

%defattr(-,root,root,-)
%dir %{_sharedstatedir}/%{name}
%{_datadir}/%{name}/
%config %{_sysconfdir}/httpd/conf.d/%{name}.conf
%config %{_sysconfdir}/cron.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_sharedstatedir}/%{name}/approot.inc.php

%defattr(-,apache,root,-)
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/test
%dir %{_sysconfdir}/%{name}/production
%dir %{_sysconfdir}/%{name}/toolkit
%dir %{logdir}/%{name}
%dir %{_sharedstatedir}/%{name}/env-production
%dir %{_sharedstatedir}/%{name}/env-test
%dir %{_sharedstatedir}/%{name}/env-toolkit
%dir %{_sharedstatedir}/%{name}/data

%changelog
* Wed Jul 16 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.3-1
- 2.0.3 upstream release
- use system swiftmailer
- add php-ldap as dependency

* Mon Jul 14 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.3-0.2.beta
- W: non-conffile-in-etc
- W: wrong-file-end-of-line-encoding
- W: log-files-without-logrotate
- chmod: cannot access '/etc/httpd//conf.d/itop-itsm.conf'

* Sun Jul 13 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.3-0.1.beta
- Update licenses
- Add bundle

* Sun Jul 13 2014 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 2.0.3-0.beta
- Initial release
